Bug 187065 - astro/rmap: Update MASTER_SITES and WWW: line
Summary: astro/rmap: Update MASTER_SITES and WWW: line
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-25 18:10 UTC by tkato432
Modified: 2014-02-27 09:20 UTC (History)
0 users

See Also:


Attachments
file.diff (2.25 KB, patch)
2014-02-25 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-02-25 18:10:08 UTC
- Update MASTER_SITES and WWW: line
- Add LICENSE
- Support PLIST_FILES

Remove file:
pkg-plist
Comment 1 Edwin Groothuis freebsd_committer 2014-02-25 18:14:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2014-02-27 09:18:01 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2014-02-27 09:18:13 UTC
Author: miwi
Date: Thu Feb 27 09:18:00 2014
New Revision: 346292
URL: http://svnweb.freebsd.org/changeset/ports/346292
QAT: https://qat.redports.org/buildarchive/r346292/

Log:
  - Update MASTER_SITES and WWW: line
  - Add LICENSE
  - Support PLIST_FILES
  
  PR:		187065
  Submitted by:	ports fury

Deleted:
  head/astro/rmap/pkg-plist
Modified:
  head/astro/rmap/Makefile
  head/astro/rmap/pkg-descr

Modified: head/astro/rmap/Makefile
==============================================================================
--- head/astro/rmap/Makefile	Thu Feb 27 09:16:22 2014	(r346291)
+++ head/astro/rmap/Makefile	Thu Feb 27 09:18:00 2014	(r346292)
@@ -5,20 +5,23 @@ PORTNAME=	rmap
 PORTVERSION=	1.2
 PORTREVISION=	12
 CATEGORIES=	astro geography
-MASTER_SITES=	http://www.reza.net/rmap/
+MASTER_SITES=	http://reza.net/rmap/
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Generates images of the Earth centered at a particular location
 
-DEPRECATED=	No more public distfiles
-EXPIRATION_DATE=	2014-03-07
+LICENCE=	GPLv2 # (or later)
 
 LIB_DEPENDS=	libgd.so:${PORTSDIR}/graphics/gd
 
-GNU_CONFIGURE=	yes
 USES=		gmake
+GNU_CONFIGURE=	yes
 
 CPPFLAGS+=	-I${LOCALBASE}/include
-CONFIGURE_ENV=	LIBS="-L${LOCALBASE}/lib"
+LDFLAGS+=	-L${LOCALBASE}/lib
+
+PLIST_FILES=	bin/rmap man/man1/rmap.1.gz %%DATADIR%%/earth.rez \
+		%%DATADIR%%/rmap.colors
+PLIST_DIRS=	%%DATADIR%%
 
 .include <bsd.port.mk>

Modified: head/astro/rmap/pkg-descr
==============================================================================
--- head/astro/rmap/pkg-descr	Thu Feb 27 09:16:22 2014	(r346291)
+++ head/astro/rmap/pkg-descr	Thu Feb 27 09:18:00 2014	(r346292)
@@ -1,7 +1,8 @@
-This program generates, but does not display, image files containing raster
-maps of the Earth.  It includes public-domain, vector data from which they
-are drawn, describing the continents, bodies of water, boundaries of
-countries and U.S. states, and a few cities.  Command-line options allow
-centering the maps at a particular latitude and longitude and zooming in.
+This program generates, but does not display, image files containing
+raster maps of the Earth. It includes public-domain, vector data from
+which they are drawn, describing the continents, bodies of water,
+boundaries of countries and U.S. states, and a few cities. Command-line
+options allow centering the maps at a particular latitude and longitude
+and zooming in.
 
-WWW: http://www.reza.net/rmap/
+WWW: http://reza.net/cms/index.php?page=rmap_-_Global_Vector-Based_Mapping_Software
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"